TechDraw Annotation bulle

From FreeCAD Documentation
Jump to navigation Jump to search
This page is a translated version of the page TechDraw Balloon and the translation is 100% complete.
Other languages:
Deutsch • ‎English • ‎français • ‎italiano • ‎polski • ‎русский
Arrow-left.svg Page précédente: TechDraw LinkDimension.svg Lier une dimension
Page suivante: Dimension de repère TechDraw LandmarkDimension.svg Arrow-right.svg

TechDraw Balloon.svg TechDraw Annotation bulle

Emplacement du menu
TechDraw → Annotations → Insérer une annotation bulle
Ateliers
TechDraw
Raccourci par défaut
Aucun
Introduit dans la version
0.19
Voir aussi
TechDraw Annotation

Description

L'outil Annotation bulle peut ajouter des bulles avec une ligne de repère dans un dessin.

Techdraw balloon.png

Utilisation

  1. Sélectionnez la vue à laquelle la bulle sera attachée.
  2. Appuyez sur le bouton TechDraw Balloon.svg Insérer une annotation bulle.
  3. Le curseur est maintenant affiché sous forme d’icône bulle. Cliquez sur la page pour placer l'origine de la bulle à la position souhaitée.
  4. La bulle peut être déplacée à la position désirée. Utilisez CTRL-glisser pour déplacer la bulle et la flèche.
  5. Pour modifier les propriétés de la bulle, double-cliquez dessus dans le dessin ou double-cliquez sur l'objet bulle dans l'arborescence du modèle. Cela ouvrira la boîte de dialogue des bulles.

Remarque: La position de la bulle est relative à la vue et utilise le même facteur d'échelle que la vue.

Utiliser les séparateurs

Lorsque vous utilisez une forme de rectangle, vous pouvez ajouter des séparateurs en utilisant "|" dans le texte. Par exemple "AAA|TEST|111" donne:

Balloon separator.png

Propriétés

Données

  • DonnéesText: Texte à afficher.
  • DonnéesSource View: vue source de la bulle.
  • DonnéesOrigin X: Position x de l'origine de la bulle par rapport à la vue.
  • DonnéesOrigin Y: Position y de l'origine de la bulle par rapport à la vue.
  • DonnéesEnd Type: symbole de fin pour la ligne de la bulle. Options: Arrownone.svg Rien, Arrowfilled.svg Flèche pleine, Arrowopen.svg Flèche ouverte, Arrowtick.svg Coché, Arrowdot.svg Point, Arrowopendot.svg Cercle ouvert, Arrowfork.svg Fourche, Arrowpyramid.svg Triangle rempli
  • DonnéesEnd Type Scale: Facteur d'échelle pour le Type d'extrémité.
  • DonnéesBubble Shape: Forme de la bulle. Options: Circular.svg Circulaire, Rien, Triangle.svg Triangle, Inspection.svg Inspection, Hexagon.svg Hexagone, TechDraw Square.svg Carré, Rectangle.svg Rectangle
  • DonnéesShape Scale: Facteur d'échelle pour la Forme.
  • DonnéesText Wrap: Longueur d'habillage de texte. -1 signifie que le texte ne sera jamais encapsulé et que le résultat est dans tous les cas une seule ligne.
  • DonnéesKink Length: Distance entre la forme et le pli de la ligne de repère.
  • DonnéesX: position horizontale de la bulle par rapport à la vue.

Vue

  • VueColor: couleur du texte de la bulle.
  • VueFont: nom de la police à utiliser pour la bulle.
  • VueFontsize: dimension du texte en mm.
  • VueLine Visible: si la ligne de bulle est visible.
  • VueLine Width: largeur de ligne de la bulle.

Script

Voir aussi: TechDraw API et Débuter avec les scripts.

L'outil Annotation en bulle peut être utilisé dans des macros et à partir de la console Python à l'aide des fonctions suivantes:

bal1 = FreeCAD.ActiveDocument.addObject('TechDraw::DrawViewBalloon','Balloon')
rc = page.addView(bal1)


Arrow-left.svg Page précédente: TechDraw LinkDimension.svg Lier une dimension
Page suivante: Dimension de repère TechDraw LandmarkDimension.svg Arrow-right.svg